/* Somaplayer - Copyright (C) 2003-5 bakunin - Andrea Marchesini 
 *                                     <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * This program is released under the GPL with the additional exemption that
 * compiling, linking, and/or using OpenSSL is allowed.
 */

#ifndef BUFFER_H
#define BUFFER_H

#define REALSIZE (play->start==play->stop ? play->realsize : play->start == -1 && !play->stop ? 0 : play->start<play->stop ? play->stop-play->start : play->realsize - (play->start - play->stop))

#define ENDOFFILE	3
#define INIT		-1
#define PLAY		0

#define BUFFER_MAX_ERROR 2
#define BUFFER_MAX_TIMER 60

void buffer_init (void);
void *buffer_push (void *);
int buffer_pop (void *, size_t);
int buffer_perc_size (void);
int buffer_size (char *);
int buffer_check (int);
int buffer_error (int);

#endif

/* EOF */
