/* Somaplayer - Copyright (C) 2003-5 bakunin - Andrea Marchesini 
 *                                     <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * This program is released under the GPL with the additional exemption that
 * compiling, linking, and/or using OpenSSL is allowed.
 */

#ifndef FORMAT_H
#define FORMAT_H

void format_init (void);
format *format_search (int);
void format_add (int);
void format_free (void);

#ifdef ENABLE_OGG
format *format_ogg (void);
#endif

#ifdef ENABLE_MP3
format *format_mp3 (void);
#endif

#ifdef ENABLE_SNDFILE
format *format_sndfile (void);
#endif

#ifdef ENABLE_CDAUDIO
format *format_cdaudio (void);
#endif

#ifdef ENABLE_MIC
format *format_mic (void);
#endif

#ifdef ENABLE_DAEMON
format *format_daemon_input (void);
#endif

#endif

/* EOF */
